#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x3ffef13e, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xebcf4216, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xe8c20db3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb898478f, "rtnl_link_register" },
	{ 0x14e0fba9, "genl_register_family" },
	{ 0xdf3668ea, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd7eec31, "crypto_destroy_tfm" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x59534585, "crypto_alloc_aead" },
	{ 0x2c400439, "crypto_aead_setkey" },
	{ 0xd1e91809, "crypto_aead_setauthsize" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0xcbb1735, "skb_pull" },
	{ 0x7cdc2cea, "___pskb_trim" },
	{ 0x8dd0f359, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x5032266e, "dev_mc_sync" },
	{ 0xedd7e644, "dev_uc_sync" },
	{ 0xdc27f8bf, "dev_set_allmulti" },
	{ 0x4bd6adbd, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x3612386, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x239363c8, "metadata_dst_free" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9ea049b1, "__dev_queue_xmit" },
	{ 0xecb81668, "eth_type_trans" },
	{ 0x479c412c, "gro_cells_receive" },
	{ 0x6a819fa7, "sk_skb_reason_drop" },
	{ 0xaf410d2, "__dev_get_by_index" },
	{ 0x8441805a, "skb_clone" },
	{ 0x998427bc, "__netif_rx" },
	{ 0x1f86f29, "consume_skb" },
	{ 0xb311af69, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x40939758, "skb_to_sgvec" },
	{ 0xa3d8b739, "crypto_aead_decrypt" },
	{ 0xdd231896, "skb_copy" },
	{ 0xc2d84ace, "skb_push" },
	{ 0x6dc3977d, "__pskb_pull_tail" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb6b9c8e, "gro_cells_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cd8a887, "skb_put" },
	{ 0x9ec6008a, "crypto_aead_encrypt" },
	{ 0x62a0a835, "skb_copy_expand" },
	{ 0x982fe0f6, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x21983075, "skb_trim" },
	{ 0xd5e15c1e, "register_netdevice" },
	{ 0x2cc5dc4d, "netdev_upper_dev_link" },
	{ 0xade89e9, "netdev_upper_dev_unlink" },
	{ 0xad6be5b2, "unregister_netdevice_queue" },
	{ 0xf8c0cb51, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1caf9ca3, "netif_stacked_transfer_operstate" },
	{ 0x861a330, "linkwatch_fire_event" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0x4ac4759d, "netdev_rx_handler_register" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xed31bd43, "netdev_rx_handler_unregister" },
	{ 0x32125934, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x55dd6ef, "netif_carrier_off" },
	{ 0x3bd67ad0, "dev_mc_unsync" },
	{ 0xcfd9c9ad, "dev_uc_unsync" },
	{ 0xdf63a376, "dev_uc_del" },
	{ 0x940f99b8, "dev_uc_add" },
	{ 0x8a4b061c, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1ace0744, "genlmsg_put" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C06ECB08784EB2464B4142");
MODULE_INFO(rhelversion, "9.6");
