#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x87f75315, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x7e938706, "_gpl");
SYMBOL_CRC(sas_free_task, 0xeb2a3e19, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x5111bdc4, "");
SYMBOL_CRC(sas_resume_ha, 0x0566ad33, "");
SYMBOL_CRC(sas_suspend_ha, 0x8bb6f047, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x0f75ae5b, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x86b2fdb5, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x1c92e5b8, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x82d11b78, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x4b0b3f4e, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x4ddb6a5e, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xf6fc5d7c, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xa1a1ec84, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x1febd8f7, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x464f50dd, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xba7e1d84, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x10a9238d, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0xe8c42a49, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x0ebf6ef1, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x5f9040a5, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x8b222e25, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xc7750f85, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x4f7e687e, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xdc2dc993, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xb658e1dd, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x1f0d67c3, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xb25a8a19, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x8756d96c, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa06e587a, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x805a28ea, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xda5b5ca, "bsg_job_done" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xe57a1c8d, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x667e6e77, "scsi_schedule_eh" },
	{ 0xa1fdb19, "request_firmware" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xb8b3283b, "sas_port_alloc" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xab559ece, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc87e7126, "sas_port_get_phy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x515cb667, "kmem_cache_create" },
	{ 0x378a75bd, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x87fcab48, "hex2bin" },
	{ 0xdb66046b, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x24c398fd, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x3c5d3c29, "kmem_cache_alloc" },
	{ 0xb2862d72, "_dev_info" },
	{ 0x3408c345, "sas_phy_free" },
	{ 0xff07137, "scsi_eh_finish_cmd" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0xcc8f5531, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2364f4dc, "sas_port_mark_backlink" },
	{ 0xf66e67d7, "kmem_cache_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x84e097fd, "sas_end_device_alloc" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xa13d233, "sas_read_port_mode_page" },
	{ 0xa6710d37, "sas_expander_alloc" },
	{ 0x121dabdd, "_dev_warn" },
	{ 0x1447f475, "sas_rphy_delete" },
	{ 0xff02405d, "scsi_is_host_device" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xfd520bc4, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x58d873b6, "scsi_host_busy" },
	{ 0x6f71063e, "sas_port_delete" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbd6499b1, "sas_rphy_add" },
	{ 0x836e8474, "sas_port_delete_phy" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x311819b7, "sas_rphy_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27f8b117, "sas_port_add_phy" },
	{ 0xd2812021, "scsi_unblock_requests" },
	{ 0x5780df0, "sas_phy_add" },
	{ 0x393da8fd, "sg_copy_from_buffer" },
	{ 0xa0613029, "sas_port_free" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0x8458637a, "scsi_block_requests" },
	{ 0xbdc9d5f8, "blk_abort_request" },
	{ 0xb988880e, "sg_copy_to_buffer" },
	{ 0x7fb0c1c0, "sas_remove_children" },
	{ 0xa2026fa, "scsi_change_queue_depth" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0x2c926984, "kmem_cache_destroy" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "3D0E7A26BB15A70FE50D4E3");
MODULE_INFO(rhelversion, "9.6");
