#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x8840b904, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x9885eef9, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xb13df786, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0xc686e760, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x4406f58d, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x912a981a, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xf3082acd, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x9c7fa605, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x9a4eed2f, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x905d9614, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0xe757f5f6, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x49166e5d, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x10bb960c, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x10741400, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x7f67a659, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xb879c2ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb632e267, "dev_set_name" },
	{ 0xaca0aef0, "complete" },
	{ 0x73bd3a6e, "cdev_device_del" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa9de9a55, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x94ba983a, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x378a75bd, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcbbdb2dd, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xb21060e5, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd8e9e9f0, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x24c398fd, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x24bb8de6, "bus_unregister" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7bf7c262, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe7489b5e, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xffbf5a41, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x8ad95519, "kthread_create_on_node" },
	{ 0x1df9eb41, "seq_read" },
	{ 0x5723bf58, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x473e5aa0, "param_ops_bool" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x933ce287, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef195888, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2b33cb57, "seq_puts" },
	{ 0x6507c1d, "single_release" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0x836084ff, "param_ops_int" },
	{ 0xb2a15860, "single_open" },
	{ 0xb5bd8d65, "debugfs_create_dir" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x1387fc65, "cdev_init" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0x166575f0, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5D4F50138AA50B387CAC4AC");
MODULE_INFO(rhelversion, "9.6");
