#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0xc72d7733, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x0798f5df, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x3a97320c, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xa7c2f88d, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x3b073157, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0xc7e3a561, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x86b2f77b, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x6ea40b2d, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xe31ddb14, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x4278fe9a, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x25cb21cd, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x9837dc8c, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x7e10540c, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0xbf8a41d3, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x87f2a2a7, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x447309c8, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x44d88d59, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0xfb317a0b, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x8c99b89f, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x8c2bd908, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0x44840981, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x1d5bea07, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x0cb56dd6, "");
SYMBOL_CRC(fcoe_transport_detach, 0x552cfb23, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x77398852, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x9155b7b7, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xf6342069, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x9d65883f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbf00a59, "fc_rport_lookup" },
	{ 0x8fa26706, "dev_get_stats" },
	{ 0x2d137c5e, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x334cbc80, "param_ops_uint" },
	{ 0x4cd8a887, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb632e267, "dev_set_name" },
	{ 0x1f86f29, "consume_skb" },
	{ 0x94dcc0c0, "fc_lport_init" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x24cabc5d, "device_unregister" },
	{ 0x408a0bbc, "skb_dequeue" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2df1c174, "fc_rport_logoff" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x93d904b1, "fc_disc_init" },
	{ 0xf85d9547, "fc_rport_login" },
	{ 0x9847f03f, "skb_queue_purge_reason" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2e7f46, "fc_linkdown" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xda33dc5b, "skb_queue_tail" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x60eab27e, "fc_lport_reset" },
	{ 0x24bb8de6, "bus_unregister" },
	{ 0xec6a43c3, "init_net" },
	{ 0xcbb1735, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6a819fa7, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc2d84ace, "skb_push" },
	{ 0xad4aee39, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x18a3f72a, "fc_lport_set_local_id" },
	{ 0xe0260404, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xa5684c86, "__ethtool_get_link_ksettings" },
	{ 0x1118aa33, "device_register" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x9def2af6, "fc_vport_id_lookup" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x52264b65, "fc_elsct_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x510bae2c, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6dc3977d, "__pskb_pull_tail" },
	{ 0x85209738, "fc_fcp_init" },
	{ 0x39cdb848, "__netdev_alloc_skb" },
	{ 0x21983075, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9ea049b1, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbfc9510a, "alloc_pages" },
	{ 0x8aa94781, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x40b0753b, "dev_get_by_name" },
	{ 0x8441805a, "skb_clone" },
	{ 0x3dd5c69b, "fc_seq_els_rsp_send" },
	{ 0xdd666ce8, "dev_printk" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0x836084ff, "param_ops_int" },
	{ 0x488ce62b, "fc_rport_create" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0xa87ccd64, "fc_exch_init" },
	{ 0x166575f0, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31059ea, "fc_linkup" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "7217D88597BD6E102C50C99");
MODULE_INFO(rhelversion, "9.6");
