#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0xc4e0991e, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x739e61ae, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x43e7eb80, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x57a0d53a, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0xed5c27bb, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xeeee87f5, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0xf095ee20, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x5fb5c8dc, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x9adb65a8, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x895b6727, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x913f2103, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0xeaba8ee3, "");
SYMBOL_CRC(iscsit_release_cmd, 0x0e1c892f, "");
SYMBOL_CRC(iscsit_free_cmd, 0x7f8961dc, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x6234f38d, "");
SYMBOL_CRC(iscsit_aborted_task, 0x24aa6875, "");
SYMBOL_CRC(iscsit_add_reject, 0xed279846, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x364ac8c3, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0xca114023, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x3b51ba56, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0xd3a84f6b, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x88364736, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xace9b788, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x7f19bfbf, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0xea809a2f, "");
SYMBOL_CRC(iscsit_process_nop_out, 0xe29595e7, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0xecfa0f6f, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x5df743cf, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x2b4a2418, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0xb7b33351, "");
SYMBOL_CRC(iscsit_handle_snack, 0xbf2d8bce, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0xc00843b7, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xa23af53c, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x9cfbede7, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xd1386d84, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x734c6322, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x67eaeec4, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x8ebf7e3e, "");
SYMBOL_CRC(iscsit_build_reject, 0xdd9d2bc8, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x392ba3fe, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x88ead618, "");
SYMBOL_CRC(iscsit_response_queue, 0x06f69ea7, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0xbe308eb7, "");
SYMBOL_CRC(iscsit_register_transport, 0x9c4e82ee, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x2d49d4ef, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11e6eaed, "crypto_alloc_ahash" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xe7b37d88, "target_alloc_cmd_counter" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x3400247f, "try_module_get" },
	{ 0x2d137c5e, "vmemmap" },
	{ 0x8af7d82c, "target_wait_for_cmds" },
	{ 0x44ed7c63, "transport_generic_new_cmd" },
	{ 0xd4f410d0, "target_free_cmd_counter" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x61ff4a0c, "target_execute_cmd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xcbdc0f3d, "kernel_bind" },
	{ 0xd566933c, "up" },
	{ 0x836bf0e, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xf3ad9cf6, "target_submit" },
	{ 0x9df44885, "kernel_accept" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x515cb667, "kmem_cache_create" },
	{ 0x79972e07, "core_tpg_set_initiator_node_queue_depth" },
	{ 0xc07557cb, "target_stop_cmd_counter" },
	{ 0x8c9e8d1c, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b51ebea, "transport_lookup_tmr_lun" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x87fcab48, "hex2bin" },
	{ 0xcbbdb2dd, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xdd7eec31, "crypto_destroy_tfm" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x84688f6, "transport_alloc_session_tags" },
	{ 0x597dec46, "transport_alloc_session" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xe3292a95, "sbitmap_prepare_to_wait" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xfacbf033, "target_unregister_template" },
	{ 0xcc0c0efe, "transport_send_check_condition_and_sense" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x3c5d3c29, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa7e205dd, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8bf88187, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x5d810d9c, "flush_signals" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8f196402, "__traceiter_sk_data_ready" },
	{ 0xec6a43c3, "init_net" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf6590fb2, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf66e67d7, "kmem_cache_free" },
	{ 0x6e1ef977, "set_cpus_allowed_ptr" },
	{ 0xcecfc533, "transport_deregister_session_configfs" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x69925d0e, "sbitmap_queue_clear" },
	{ 0xeb3bcad6, "iov_iter_kvec" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x7d40ac24, "inet_pton_with_scope" },
	{ 0xb5814c41, "sock_sendmsg" },
	{ 0x53307958, "crypto_shash_update" },
	{ 0xe1e659d3, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe7489b5e, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa478e05b, "target_cmd_parse_cdb" },
	{ 0x22c9a363, "sock_set_reuseaddr" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x4e5be649, "crypto_ahash_finup" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x857c6497, "crypto_ahash_digest" },
	{ 0x6108288f, "complete_all" },
	{ 0xdf760b7f, "crypto_ahash_final" },
	{ 0x124b0bd4, "__target_init_cmd" },
	{ 0xe798236d, "jiffies" },
	{ 0x8ad95519, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd0e5b408, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa27456b7, "core_tpg_check_initiator_node_acl" },
	{ 0x3819a720, "target_cmd_init_cdb" },
	{ 0x9ab0d094, "kernel_listen" },
	{ 0x709a58e2, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x3e91c80b, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xc1b990aa, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x6ba1de4d, "crypto_shash_finup" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x85542d7e, "transport_wait_for_tasks" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x843e1ad8, "target_get_sess_cmd" },
	{ 0xe473064a, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x79c1a2b5, "sock_recvmsg" },
	{ 0x39c2184d, "core_tpg_deregister" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0xf221e15d, "__transport_register_session" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xda198e60, "target_show_dynamic_sessions" },
	{ 0xd8a4fe90, "sock_release" },
	{ 0x3eb8777d, "target_register_template" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x1d886e0e, "tcp_sock_set_nodelay" },
	{ 0x5324817f, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0x876c881d, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x49011c2f, "core_tpg_register" },
	{ 0x908f4ea8, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x567d9449, "transport_deregister_session" },
	{ 0xe613a798, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x14a396d1, "crypto_alloc_shash" },
	{ 0x42468543, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2c926984, "kmem_cache_destroy" },
	{ 0xc859958e, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod");


MODULE_INFO(srcversion, "679BD3B4C2DF4A8666ACB86");
MODULE_INFO(rhelversion, "9.6");
