#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x296f5c1c, "");
SYMBOL_CRC(wpan_phy_for_each, 0x59868a95, "");
SYMBOL_CRC(wpan_phy_new, 0xa770bcac, "");
SYMBOL_CRC(wpan_phy_register, 0xef1b88da, "");
SYMBOL_CRC(wpan_phy_unregister, 0xc254cf4f, "");
SYMBOL_CRC(wpan_phy_free, 0xc19102d2, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xde9982e2, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x62b2854a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x4e20c361, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xc72bf030, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0xbc82b3dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ab4c, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb632e267, "dev_set_name" },
	{ 0x5c61de32, "trace_output_call" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3963de6f, "trace_raw_output_prep" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x8965b96, "trace_event_printf" },
	{ 0xa9de9a55, "device_initialize" },
	{ 0x1ace0744, "genlmsg_put" },
	{ 0xcf55563b, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3aa1d77e, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x75d06400, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x378a75bd, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x197ac54, "netlink_broadcast_filtered" },
	{ 0x21f54fd6, "device_rename" },
	{ 0xe2e3b194, "trace_event_buffer_commit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x24c398fd, "put_device" },
	{ 0x25fc6e18, "trace_event_ignore_this_pid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x49a98769, "__alloc_skb" },
	{ 0xc5f77c71, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xaf410d2, "__dev_get_by_index" },
	{ 0x45959cd5, "perf_trace_run_bpf_submit" },
	{ 0xec6a43c3, "init_net" },
	{ 0xcbb1735, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6f9bf7ab, "device_add" },
	{ 0x6a819fa7, "sk_skb_reason_drop" },
	{ 0x8fb7c7a3, "netlink_unicast" },
	{ 0x268f87e2, "dev_get_by_index" },
	{ 0xc2d84ace, "skb_push" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x358968f9, "trace_event_reg" },
	{ 0x820c2a2, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x281e253e, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5bca0f7f, "bpf_trace_run1" },
	{ 0xf654280d, "device_del" },
	{ 0x7e4a2d8f, "dev_set_mac_address" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x6dc3977d, "__pskb_pull_tail" },
	{ 0x21983075, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf8fa677b, "bpf_trace_run3" },
	{ 0xd09c331d, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x696728f0, "get_net_ns_by_pid" },
	{ 0x24c5318, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5a38c923, "device_match_name" },
	{ 0x40b0753b, "dev_get_by_name" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3612386, "genl_unregister_family" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0x14e0fba9, "genl_register_family" },
	{ 0xcfc8209, "__dev_change_net_namespace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xea239da2, "register_pernet_device" },
	{ 0xf46af2ef, "get_net_ns_by_fd" },
	{ 0xe1aac611, "class_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0xe58081, "class_find_device" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CB0F406BE0A8E166AE91E7");
MODULE_INFO(rhelversion, "9.6");
