#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0x78a9f3b7, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x87c988cc, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x1eaabe1b, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x13ddfa7c, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x5070545a, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xe06274a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc278d61f, "netlink_strict_get_check" },
	{ 0x3f242b5c, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa3c54557, "__nlmsg_put" },
	{ 0xfe771e3, "skb_gso_validate_network_len" },
	{ 0x20ec4343, "register_net_sysctl" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1f86f29, "consume_skb" },
	{ 0x255d166e, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0x541526e7, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x3305e1fc, "neigh_xmit" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5e4fd78a, "ip_route_output_flow" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xfb7af256, "pskb_expand_head" },
	{ 0xa80dcf, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xbde75248, "rtnl_af_register" },
	{ 0x49a98769, "__alloc_skb" },
	{ 0x9d82c443, "rtnl_set_sk_err" },
	{ 0x53f8c733, "rtnl_unicast" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x3caf8e80, "nla_reserve_64bit" },
	{ 0xa329da64, "ip_valid_fib_dump_req" },
	{ 0xaf410d2, "__dev_get_by_index" },
	{ 0xe975f17e, "ipv6_stub" },
	{ 0xcbb1735, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe8a9f0a, "nla_reserve_nohdr" },
	{ 0xbdfcd859, "rtnl_af_unregister" },
	{ 0x6a819fa7, "sk_skb_reason_drop" },
	{ 0x667ebc00, "dev_remove_pack" },
	{ 0x268f87e2, "dev_get_by_index" },
	{ 0xc2d84ace, "skb_push" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0x151284ac, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9bce43a, "rtnl_register_module" },
	{ 0x8f0d4024, "ip_tunnel_encap_del_ops" },
	{ 0xc295b553, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6dc3977d, "__pskb_pull_tail" },
	{ 0x21983075, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3b7f98a5, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8441805a, "skb_clone" },
	{ 0x982fe0f6, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0x70b515d8, "dev_get_flags" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "4DE9253820B6FD1EE507DE9");
MODULE_INFO(rhelversion, "9.6");
