#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xd662a8cb, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xd3503b4a, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x9ef3bad7, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x7e6e1867, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0xd34f4c47, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x5e88c414, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x5f9f8e9e, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xc6fc74e9, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x085559bf, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x0dd5b573, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x80123d20, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa80dcf, "register_pernet_subsys" },
	{ 0xef195888, "seq_printf" },
	{ 0x2b33cb57, "seq_puts" },
	{ 0xc295b553, "unregister_pernet_subsys" },
	{ 0x31b0ff10, "nf_register_net_hooks" },
	{ 0xd9f01fb0, "nf_unregister_net_hooks" },
	{ 0x57e657a0, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xc676b2b8, "__nf_ip6_route" },
	{ 0x6a819fa7, "sk_skb_reason_drop" },
	{ 0x12571405, "xfrm_lookup" },
	{ 0x59bc022, "ip6_local_out" },
	{ 0xf220b591, "skb_ensure_writable" },
	{ 0xc8db84a5, "inet_proto_csum_replace4" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5df2eb27, "nf_ct_tmpl_alloc" },
	{ 0xe6de143, "nf_ct_ext_add" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x4e4e9707, "proc_create_net_data" },
	{ 0x1ac52165, "nf_ct_tmpl_free" },
	{ 0x311fede6, "skb_copy_bits" },
	{ 0xfd2796df, "ip_route_me_harder" },
	{ 0x84615eaa, "ip_local_out" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x49a98769, "__alloc_skb" },
	{ 0x4cd8a887, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0xfdfefb5e, "__cookie_v4_check" },
	{ 0x66df0d36, "__cookie_v6_check" },
	{ 0xdf9ef5d3, "ipv6_skip_exthdr" },
	{ 0x9ea8ead7, "nf_ct_seqadj_init" },
	{ 0x1f86f29, "consume_skb" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "7F576D24BD6825D4349A67E");
MODULE_INFO(rhelversion, "9.6");
